HG-SSH(8)

NAME
hg-ssh - restricted ssh login shell for Mercurial

SYNOPSIS
hg-ssh repositories...

DESCRIPTION
hg-ssh can be used as a restricted shell where access to Mercurial repositories is given over ssh(1). It should be specified, together with the paths to the repositories the user should be given access to, as a command option in an authorized_keys(5) file.

An example authorized_keys line using hg-ssh:
    command="hg-ssh path/to/repo1 /path/to/repo2 ~/repo3 ~user/repo4" ssh-rsa AA...==

The user with the specified key would then be permitted to push and pull to the repositories using the URLs:
    ssh://example.com/path/to/repo1
    ssh://example.com//path/to/repo2
    ssh://example.com/~/repo3
    ssh://example.com/~user/repo4

SEE ALSO
sshd(8), ssh(1), hg(1).